Subject: Re: bug#59544: [PATCH] Fixed lib-src/etags.c command execute vulnerability

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Nov 2022 16:15:38 +0200

> Date: Sun, 27 Nov 2022 14:35:01 +0800
> Cc: [email-masked], [email-masked]
> From: lux <[email-masked]>
> 
> The `rename` function, if trying to rename a file across filesystem or 
> device, it's not work, and give the EXDEV erorr:
> 
>      Invalid cross-device link
> 
> So, I add a new function `do_move_file`: if the rename fails, copy a new 
> file, and unlink source file.

Thanks, I installed this.

But something is wrong with the 2 new tests: they fail.  I replaced the
"good" files with the ones I get on my system, but the test fails on another
system.  Could you please look into the test failures and find a fix?